/*

Syntax for CSS

selector {
	property:  value;
}

In CSS selectors, we have the SPECIFICITY RULE
	-#idName or id selector -----> Highest Priority
	-element/<tag> or type selector
	-.className or class selector
	-universal selector (*) ------> Lowest Priority
*/

/*Type Selector - Selects and HTML element using the tag name*/
h1 {
	color: blue;
}

/*Universal Selector - Selecets all the html elements*/
* {
font-family: "Courier New", monospace;
font-size: 20px;
}

/*id Selector (#idName) - uses the id attribute to select an element*/
#zuitt-motto {
	letter-spacing: 5px;
}

/*this won't apply since we used the id selector to style zuitt-motto element*/
h3	{
	letter-spacing: 25px;
}

/*Class Selector (.class-name) - Selects multiple HTML elements at once.*/
.offering-item {
	text-transform: uppercase;
}

/*Attribute Selector (tagName [attr] - target elements with a specified element attribute*/

input[required] {
/*	border-width: 2px;
	border-style: solid;
	border-color: navy;*/

	/*shorthand = border:  width, style, color */
	border: 3px solid red;
}

label[for="first-name"] {
	border-width: 2px;
	border-style: solid;
	border-color: navy;
}

/* CSS selector Combinator */

/*Adjacent Sibling Selector (sibling_element + target_element*/
h4 + img {
	height: 300px;
	width: 300px;
	border-radius: 50px;
}

/*Descendant Selector (ancestor_element descendant_element) uses white space*/
#bootcamp-learning-list li {
	color: #3cbbb1;
}

/* General Sibling Selector (sibling_elem ~ target_element) */

h2 ~ a {
	text-decoration: none;
}

/* Child Selector (parent_elem > child_elem) */
body > section > form > label {
	color: lightskyblue;
}


/* more css rules */

ol {
	list-style-type: none;
}

form {
	text-align: center;
	background: white;
	border: 2px solid black;
	height: 185px;
	width: 40vw;
	position: relative;
	left: 30%;
}
label, input {
	display: block;
	align-items: center;
}

button {
	background: #cf0053;
	color: white;
	border: 0;
	border-radius: 15px;
}